summaryrefslogtreecommitdiff
path: root/nonsystemd/openrc/opentmpfiles-setup.initd
diff options
context:
space:
mode:
Diffstat (limited to 'nonsystemd/openrc/opentmpfiles-setup.initd')
-rw-r--r--nonsystemd/openrc/opentmpfiles-setup.initd19
1 files changed, 19 insertions, 0 deletions
diff --git a/nonsystemd/openrc/opentmpfiles-setup.initd b/nonsystemd/openrc/opentmpfiles-setup.initd
new file mode 100644
index 000000000..d36481f25
--- /dev/null
+++ b/nonsystemd/openrc/opentmpfiles-setup.initd
@@ -0,0 +1,19 @@
+#!/usr/bin/openrc-run
+# Copyright 1999-2012 Gentoo Foundation
+# Released under the 2-clause BSD license.
+
+description="Set up tmpfiles.d entries"
+
+depend()
+{
+ provide tmpfiles-setup tmpfiles.setup
+ need localmount
+}
+
+start()
+{
+ ebegin "Setting up tmpfiles.d entries"
+ tmpfiles --exclude-prefix=/dev --create --remove --boot \
+ ${tmpfiles_opts}
+ eend $?
+}